Loading...
Searching...
No Matches
Magick::PathCurvetoArgs Class Reference

## Public Member Functions

| PathCurvetoArgs (double x1_, double y1_, double x2_, double y2_, double x_, double y_)
| PathCurvetoArgs (const PathCurvetoArgs &original_)
void | x1 (double x1_)
double | x1 (void) const
void | y1 (double y1_)
double | y1 (void) const
void | x2 (double x2_)
double | x2 (void) const
void | y2 (double y2_)
double | y2 (void) const
void | x (double x_)
double | x (void) const
void | y (double y_)
double | y (void) const

## Private Attributes

double | _x1
double | _y1
double | _x2
double | _y2
double | _x
double | _y

## Detailed Description

Definition at line 2540 of file Drawable.h.

## Constructor & Destructor Documentation

## PathCurvetoArgs() [1/3]

Magick::PathCurvetoArgs::PathCurvetoArgs | ( | void |  | ) |

Definition at line 1943 of file Drawable.cpp.

: _x1(0),
_y1(0),
_x2(0),
_y2(0),
_x(0),
_y(0)
{
}

## PathCurvetoArgs() [2/3]

Magick::PathCurvetoArgs::PathCurvetoArgs | ( | double | x1_,
|  | double | y1_,
|  | double | x2_,
|  | double | y2_,
|  | double | x_,
|  | double | y_
| ) |  |

Definition at line 1953 of file Drawable.cpp.

: _x1(x1_),
_y1(y1_),
_x2(x2_),
_y2(y2_),
_x(x_),
_y(y_)
{
}

## PathCurvetoArgs() [3/3]

Magick::PathCurvetoArgs::PathCurvetoArgs | ( | const PathCurvetoArgs & | original_ | ) |

Definition at line 1965 of file Drawable.cpp.

: _x1(original_._x1),
_y1(original_._y1),
_x2(original_._x2),
_y2(original_._y2),
_x(original_._x),
_y(original_._y)
{
}

## ~PathCurvetoArgs()

Magick::PathCurvetoArgs::~PathCurvetoArgs | ( | void |  | ) |

Definition at line 1975 of file Drawable.cpp.

{
}

## Member Function Documentation

## x() [1/2]

void Magick::PathCurvetoArgs::x | ( | double | x_ | ) |

inline

Definition at line 2589 of file Drawable.h.

{
_x = x_;
}

## x() [2/2]

double Magick::PathCurvetoArgs::x | ( | void |  | ) | const

inline

Definition at line 2593 of file Drawable.h.

{
return _x;
}

## x1() [1/2]

void Magick::PathCurvetoArgs::x1 | ( | double | x1_ | ) |

inline

Definition at line 2553 of file Drawable.h.

{
_x1 = x1_;
}

## x1() [2/2]

double Magick::PathCurvetoArgs::x1 | ( | void |  | ) | const

inline

Definition at line 2557 of file Drawable.h.

{
return _x1;
}

## x2() [1/2]

void Magick::PathCurvetoArgs::x2 | ( | double | x2_ | ) |

inline

Definition at line 2571 of file Drawable.h.

{
_x2 = x2_;
}

## x2() [2/2]

double Magick::PathCurvetoArgs::x2 | ( | void |  | ) | const

inline

Definition at line 2575 of file Drawable.h.

{
return _x2;
}

## y() [1/2]

void Magick::PathCurvetoArgs::y | ( | double | y_ | ) |

inline

Definition at line 2598 of file Drawable.h.

{
_y = y_;
}

## y() [2/2]

double Magick::PathCurvetoArgs::y | ( | void |  | ) | const

inline

Definition at line 2602 of file Drawable.h.

{
return _y;
}

## y1() [1/2]

void Magick::PathCurvetoArgs::y1 | ( | double | y1_ | ) |

inline

Definition at line 2562 of file Drawable.h.

{
_y1 = y1_;
}

## y1() [2/2]

double Magick::PathCurvetoArgs::y1 | ( | void |  | ) | const

inline

Definition at line 2566 of file Drawable.h.

{
return _y1;
}

## y2() [1/2]

void Magick::PathCurvetoArgs::y2 | ( | double | y2_ | ) |

inline

Definition at line 2580 of file Drawable.h.

{
_y2 = y2_;
}

## y2() [2/2]

double Magick::PathCurvetoArgs::y2 | ( | void |  | ) | const

inline

Definition at line 2584 of file Drawable.h.

{
return _y2;
}

## Field Documentation

## _x

double Magick::PathCurvetoArgs::_x

private

Definition at line 2612 of file Drawable.h.

## _x1

double Magick::PathCurvetoArgs::_x1

private

Definition at line 2608 of file Drawable.h.

## _x2

double Magick::PathCurvetoArgs::_x2

private

Definition at line 2610 of file Drawable.h.

## _y

double Magick::PathCurvetoArgs::_y

private

Definition at line 2613 of file Drawable.h.

## _y1

double Magick::PathCurvetoArgs::_y1

private

Definition at line 2609 of file Drawable.h.

## _y2

double Magick::PathCurvetoArgs::_y2

private

Definition at line 2611 of file Drawable.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/Drawable.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Drawable.cpp